com.ihr.xbrl.om

## Class XBRLSchemaURIResolver

- java.lang.Object
- - com.ihr.xbrl.om.XBRLSchemaURIResolver

- All Implemented Interfaces:
    java.io.Serializable, net.sf.saxon.lib.SchemaURIResolver

      public class XBRLSchemaURIResolver
      extends java.lang.Object
      implements net.sf.saxon.lib.SchemaURIResolver

  Resolves a schema that exist in this DTS and returns a Source object to it As this object is created under a DTSContainer object it access all schemas loaded in this DTSContainer cache.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLSchemaURIResolver(DTSContainer dts)` Instantiates a new XBRL schema uri resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source[]` | `resolve(java.lang.String targetNamespace, java.lang.String baseURI, java.lang.String[] locations)`
    `void` | `setConfiguration(net.sf.saxon.Configuration arg0)`
    `void` | `setDTSContainer(DTSContainer dts)` Sets the DTSContainer object to benefit from its cache.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLSchemaURIResolver

          public XBRLSchemaURIResolver(DTSContainer dts)

      Instantiates a new XBRL schema uri resolver.
      Parameters:
        `dts` - the dts

  - ### Method Detail

    - #### setDTSContainer

          public void setDTSContainer(DTSContainer dts)

      Sets the DTSContainer object to benefit from its cache.
      Parameters:
        `dts` - DTSContainer

    - #### resolve

          public javax.xml.transform.Source[] resolve(java.lang.String targetNamespace,
                                             java.lang.String baseURI,
                                             java.lang.String[] locations)
                                               throws net.sf.saxon.trans.XPathException

      Specified by:
        `resolve` in interface `net.sf.saxon.lib.SchemaURIResolver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### setConfiguration

          public void setConfiguration(net.sf.saxon.Configuration arg0)

      Specified by:
        `setConfiguration` in interface `net.sf.saxon.lib.SchemaURIResolver`